/***************************************
*                                      *
*              ゼロクリア              *
*                                      *
*                                      *
***************************************/

#include <iostream>
#include "snaps.h"
#include "kisosu.h"
#include "kiso.h"
#include "econ.h"


void zero()
{
	// 変数宣言
	int nendo;
	int c_nendo;
	int sotai_nendo;
	int nenrei;
	int seibetu;
	int noufu_joutai;
	int shikyu_keitai;
	int kyufu_houhou;
	int seido;
	int goubetu;
	int kubun;
	int counter;
	
	// 各制度別給付費
	for( seido = SUM ; seido <= SHIGAKU ; seido++ )
	{
		for( nendo = SHONENDO ; nendo <= SAISHUNENDO ; nendo++ )
		{
			sotai_nendo = nendo - SHONENDO;
			for( nenrei = NENREI_SUM ; nenrei <= MAX_JUKYU ; nenrei++ )
			{
				for( seibetu = SUM ; seibetu <= ONNA ; seibetu++ )
				{
					for( noufu_joutai = SUM ; noufu_joutai <= MENJO_KOUHAN ; noufu_joutai++ )
					{
						Rorei_New[seido][sotai_nendo][nenrei - NENREI_SUM][seibetu][noufu_joutai] = 0.;
					}
					for( noufu_joutai = SUM ; noufu_joutai <= GONEN ; noufu_joutai++ )
					{
						Rorei_Old[seido][sotai_nendo][nenrei - NENREI_SUM][seibetu][noufu_joutai] = 0.;
					}
					for( shikyu_keitai = SUM ; shikyu_keitai <= KAKYU ; shikyu_keitai++ )
					{
						for( kyufu_houhou = SUM ; kyufu_houhou <= HATACHIMAE ; kyufu_houhou++ )
						{
							Shogai_New[seido][sotai_nendo][nenrei - NENREI_SUM][seibetu][kyufu_houhou][shikyu_keitai] = 0.;
						}
						for( noufu_joutai = SUM ; noufu_joutai <= MENJO ; noufu_joutai++ )
						{
							Shogai_Old[seido][sotai_nendo][nenrei - NENREI_SUM][seibetu][shikyu_keitai][noufu_joutai] = 0.;
							Izoku_Old[seido][sotai_nendo][nenrei - NENREI_SUM][seibetu][shikyu_keitai][noufu_joutai] = 0.;
						}
						Izoku_New[seido][sotai_nendo][nenrei - NENREI_SUM][seibetu][shikyu_keitai] = 0.;
					}
					for( kubun = SUM ; kubun <= SHOGAI ; kubun++ )
					{
						FurikaeKasan[seido][sotai_nendo][nenrei - NENREI_SUM][seibetu][kubun] = 0.;
					}
				}
			}
		}
	}
	
	// 拠出金算定対象者数
	for( seido = SUM ; seido <= NORIN ; seido++ )
	{
		for( nendo = SHONENDO ; nendo <= SAISHUNENDO ; nendo++ )
		{
			sotai_nendo = nendo - SHONENDO;
			for( goubetu = SUM ; goubetu <= 3 ; goubetu++ )
			{
				SanteiTaishou[seido][sotai_nendo][goubetu] = 0.;
			}
		}
	}
	
	// 国年被保険者数
	for( nendo = SHONENDO ; nendo <= SAISHUNENDO ; nendo++ )
	{
		Hiho_Kokunen[nendo - SHONENDO] = 0.;
	}
	
	// 給付水準調整率
	for( nendo = SHONENDO ; nendo <= SAISHUNENDO ; nendo++ )
	{
		for( nenrei = UNDER_63 ; nenrei <= MAX_JUKYU ; nenrei++ )
		{
			Cut_ritu[nendo - SHONENDO][nenrei - UNDER_63] = 1.;
		}
	}
	
	// 給付水準調整率ファイル作成用
	for( nendo = SHONENDO ; nendo <= SAISHUNENDO ; nendo++ )
	{
		for( counter = SUM ; counter <= FUKA ; counter++ )
		{
			Ichijikin[nendo - SHONENDO][counter] = 0.;
		}
		for( counter = SUM ; counter <= 3 ; counter++ )
		{
			Kafu[nendo - SHONENDO][counter] = 0.;
			Fuka[nendo - SHONENDO][counter] = 0.;
		}
		Fukushi[nendo - SHONENDO] = 0.;
		Fuka_Ninzu[nendo - SHONENDO] = 0.;
		Tumitate[nendo - SHONENDO] = 0.;
	}
	
	for( c_nendo = ECON_SHONENDO ; c_nendo <= SAISHUNENDO ; c_nendo++ )
	{
		for( nendo = ECON_SHONENDO ; nendo <= SAISHUNENDO ; nendo++ )
		{
			for( nenrei = NENREI_SUM ; nenrei <= MAX_JUKYU ; nenrei++ )
			{
				cut_ruiseki[c_nendo - ECON_SHONENDO][nendo - ECON_SHONENDO][nenrei - NENREI_SUM] = 1.;
			}
		}
	}
	
	for( nendo = ECON_SHONENDO ; nendo <= SAISHUNENDO ; nendo++ )
	{
		for( nenrei = UNDER_67 ; nenrei <= MAX_JUKYU ; nenrei++ )
		{
			pre_cut[nendo - ECON_SHONENDO][nenrei - UNDER_67] = 1.;
			kaiteiritu[nendo - ECON_SHONENDO][nenrei - UNDER_67] = 1.;
			kaiteiritu_cut[nendo - ECON_SHONENDO][nenrei - UNDER_67] = 1.;
		}
	}
	
	// 妻積み
	for( nendo = SHONENDO ; nendo <= SAISHUNENDO ; nendo++ )
	{
		sotai_nendo = nendo - SHONENDO;
		for( seido = SUM ; seido <= BUNPAI ; seido++ )
		{
			Tumatumi[seido][sotai_nendo] = 0.;
		}
	}
}
